/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.scada.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.scada.entity.Syschildcode;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 系统通用码表子级表
 *
 * @author wangjieliu
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Mapper
public interface CodeDicMapper extends BaseMapper<Syschildcode> {

    String getCodeById(@Param("id") Long id);

    @Select("select CNAME from TF_YWPN_SYSCHILDCODE_D where ID=#{id}")
    String getCodeNameById(@Param("id") Long id);

    Long getSort(Long pcid);

    List<Syschildcode> getBylistPcid(@Param("list") List<String> list);
}
